classification
Title: Fix a typo in the contextlib docs
Type: Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: berker.peksag, docs@python, jcea, ncoghlan, python-dev, rhettinger, terry.reedy
Priority: normal Keywords: patch

Created on 2014-05-23 03:58 by berker.peksag, last changed 2014-05-26 05:20 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
contextlib-typo.diff berker.peksag, 2014-05-23 03:58 review
Messages (4)
msg218944 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-05-23 03:58
From the code example at https://docs.python.org/3.5/library/contextlib.html#supporting-a-variable-number-of-context-managers

"if need_special resource:" (see line 4) should be "if need_special_resource:".

Related changeset: http://hg.python.org/cpython/rev/5d91d87b5969
msg219014 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-05-24 00:39
Berker, feel free to assign all these micro-doc fixes to me.   Also, if you want to combine a number of clear-cut, non-controversial fixes into just one patch and tracker item, that might save us both some time.
msg219115 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-26 01:06
New changeset ebeade01bd8e by Raymond Hettinger in branch '3.4':
Issue 21558:  Fix a typo in the contextlib docs
http://hg.python.org/cpython/rev/ebeade01bd8e
msg219131 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-05-26 05:20
Thanks Raymond, will do.
History
Date User Action Args
2014-05-26 05:20:35berker.peksagsetmessages: + msg219131
stage: patch review -> resolved
2014-05-26 01:07:27rhettingersetstatus: open -> closed
nosy: + ncoghlan
resolution: fixed
2014-05-26 01:06:35python-devsetnosy: + python-dev
messages: + msg219115
2014-05-24 00:39:42rhettingersetassignee: docs@python -> rhettinger

messages: + msg219014
nosy: + rhettinger
2014-05-23 21:09:11terry.reedysetnosy: + terry.reedy
2014-05-23 11:18:32jceasetnosy: + jcea
2014-05-23 03:58:48berker.peksagcreate